routes_booking_form_block:
  label: Booking form
  namespace: Organisms/TM - Routes
  use: '@organisms/tm-routes/booking-form/routes-booking-form-block.html.twig'
  description: Booking form
  libraries:
    - routes_booking_form_block_lib:
        js:
          ../behaviors/routes-booking-form.js: {}
        css:
          component:
            ../styles/routes-booking-form.css: {}

  fields:
    origin_name:
      type: text
      label: Origin
      description: Origin station
      preview: Cambridge
    origin_crs:
      type: text
      label: Origin CRS
      description: CRS or group code of the origin station
      preview: CBG
    destination_name:
      type: text
      label: Destination
      description: Destination station
      preview: Norwich
    destination_crs:
      type: text
      label: Destination CRS
      description: CRS or group code of the destination station
      preview: NRW
    button_text:
      type: text
      label: Button text
      description: Text for the "submit" button
      preview: PLAN &amp; BUY
    price_text:
      type: text
      label: Price text
      description: Text saying if the price is for advance or not
      preview: Buy in advance from
    price:
      type: text
      label: Price
      description: Price
      preview: '24'
    journey_type_text:
      type: text
      label: Type of journey
      description: e.g. 'One-way' or 'Each-way'
      preview: Each-way
    booking_fees_message:
      type: text
      label: Bottom text
      description: Bottom text
      preview: No booking fees!
    return_fare_text:
      type: text
      label: Return fare text
      description: Return fare text
      preview: '*Based on a return fare.'
    button_status:
      type: text
      label: Button status
      preview: default
